@font-face {
    font-family: 'JosefinSans-Regular';
    src: url('fonts/JosefinSans-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'RadioCanada-Regular';
    src: url('fonts/RadioCanada-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}
body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    margin: 0;
    background-color: #efefef;
    min-height: 100vh;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
}
header {
    padding-top: 15px;
    padding-left: 20px;
    padding-bottom: 5px;
    display: flex;
    justify-content: flex-start;
}

.logo {
    padding-top: 10px;
    padding-left: 5px;
    max-height: 40px;
    width: auto;
}
main {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
.content-wrapper {
    display: flex;
    align-items: flex-start;
    width: 100%;
    max-width: none;
    margin: 0;
    padding-left: 90px;
    box-sizing: border-box;
}

.container {
    flex: 0 0 360px;
    width: 360px;
    background: white;
    padding: 20px;
    padding-top: 12px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

h1 {
    text-align: center;
    color: #222222;
}
h2 {
    color: #222222;
    margin-top: 0px;
    margin-bottom: 8px;
    font-size: 17px;
    user-select: none;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.h2-content {
    display: flex;
    align-items: center;
    flex-grow: 1;
}
.form-group {
    margin-bottom: 20px;
}
.opacity-control {
    display: flex;
    align-items: center;
}

input:focus {
    outline: none;
}

input[type="range"] {
    -webkit-appearance: none;
    flex-grow: 1;
    height: 8px;
    background: #ddd;
    outline: none;
    border-radius: 4px;
    margin-left: 10px;
    margin-right: 10px;

}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 18px;
    height: 18px;
    background: #222222;
    cursor: pointer;
    border-radius: 50%;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

input[type="range"]::-moz-range-thumb {
    width: 20px;
    height: 20px;
    background: #222222;
    cursor: pointer;
    border-radius: 50%;
}

input[type="range"]::-webkit-slider-runnable-track {
    height: 8px;
    border-radius: 4px;
}

input[type="range"]::-moz-range-track {
    height: 8px;
    border-radius: 4px;
}

input[type="range"] {
    background: linear-gradient(to right, #222222 0%, #222222 50%, #ddd 50%, #ddd 100%);
    background-size: 200% 100%;
    background-position: right bottom;
}

#opacity-value {
    width: 50px;
    text-align: left;
    padding: 5px;
    border: 1px solid #767676;
    border-radius: 4px;
}
input[type="number"] {
    width: 60px;
    padding: 5px;
    margin-right: 10px;
}
.colorblock {
    height: 75px;
    display: flex;
    border: 1px solid #ddd;
    vertical-align: middle;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    border-radius: 8px;
    margin-bottom: 15px;
    justify-content: center;
    align-items: center;
}

.colorblock-placeholder {
    position: absolute;
    color: #c0c0c0;
    font-size: 14px;
    pointer-events: none;
}

.colorblock.color-selected .colorblock-placeholder {
    opacity: 0;
}
.color-input {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}
.color-input-group {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.rgb-inputs {
    display: flex;
}

.hex-input {
    width: 80px;
    padding: 5px;
    margin-left: 10px;
}
/* Remove spinner for Webkit browsers (Chrome, Safari, newer versions of Opera) */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Remove spinner for Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}
button {
    padding: 10px 10px;
    background-color: #222222;
    color: white;
    border: none;
    cursor: pointer;
    display: block;
    margin-top: 30px;
    margin-bottom: 0px;
    width: 200px;
    border-radius: 8px;
    margin-left: auto;
    margin-right: auto;
    user-select: none;
}
.error {
    color: red;
    margin-top: 10px;
    font-size: 12px; /* Added to make the font smaller */
    text-align: center; /* Added to center the error message */
}
.hidden {
    display: none;
}

.form-group:last-of-type {
    position: relative;
    padding-top: 30px; /* Adjust this value to control space above the line */
}

.form-group:last-of-type::before {
    content: '';
    position: absolute;
    top: 20px;
    left: -20px;
    right: -20px;
    height: 1px;
    background-color: #e0e0e0;
}
.stack-wrapper {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}
.stack {
    position: relative;
    width: 450px;
    height: 450px;
    transform: rotateX(60deg) rotateZ(-45deg);
    margin-top: 140px;
}
.paper {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: white;
    transition: background-color 0.1s, opacity 0.1s;
}
.paper:nth-child(1) {
    transform: translate(0, 0);
    z-index: 1;
    box-shadow: 0 0 10px rgba(0,0,0,0.15);
    border: 1px solid #ccc;
}
.paper:nth-child(2) {
    transform: translate(150px, -150px);
    z-index: 2;
    border: 1px solid #ccc;
}

.info-icon {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background-color: none;
    border: 1px solid #e0e0e0;
    color: #e0e0e0;
    font-size: 12px;
    margin-left: 8px;
    cursor: pointer;
    position: relative;
}

.info-icon::after {
    content: attr(data-tooltip);
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    background-color: #222222;
    color: white;
    padding: 5px 10px;
    border-radius: 4px;
    font-size: 12px;
    white-space: nowrap;
    visibility: hidden;
    transition: opacity 0.1s, visibility 0.1s;
    z-index: 1;
    pointer-events: none;
}

.info-icon:hover::after {
    opacity: 1;
    visibility: visible;
}

  footer {
    padding: 10px 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: auto;
}

footer .brand-name {
    font-family: 'JosefinSans-Regular', sans-serif;
    font-size: 18px;
}
footer p {
    margin: 0;
    font-size: 16px;
    letter-spacing: 0.1em;
}
footer p .tagline {
    letter-spacing: 0.07em;
}
footer .made-by {
    font-size: 12px;
    letter-spacing: 0.1em;
}
footer .pinly {
    font-family: 'RadioCanada-Regular', sans-serif;
    font-size: 18px;
    letter-spacing: 0em;
    text-decoration: none;
    color: inherit;
}
footer .pinly:hover {
    color: #a99fec;
}
footer .pinly .arrow {
    margin-left: 4px;
    font-size: 14px;
    transition: transform 0.3s ease;
}
.recalculate-alert {
    color: red;
    font-size: 12px;
    margin-left: auto;
    margin-right: 3px;
}
.hidden {
    display: none;
}
.blink-container {
    position: fixed;
    bottom: 105px;
    right: 6.5%;
    transform: translateX(-50%);
    z-index: 1000;
    opacity: 0;
    transition: opacity 0.5s ease-in;
}

.blink-container.fade-out {
    transition: opacity 0.1s ease-out;
}

.blink-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 60px;
    height: auto;
    opacity: 0;
}

@media screen and (max-width: 1200px) {
    .stack {
    width: 350px;
    height: 350px;
    }
    .blink-container {
    right: 8%;
    }  
}
@media screen and (max-width: 1100px) {
    .stack {
    width: 300px;
    height: 300px;
    }
    .blink-container {
    right: 8.5%;
    }
}
@media screen and (max-width: 1050px) {
    .stack {
    margin-left: 20px;
    }
    .blink-container {
    right: 9%;
    }
}
@media screen and (max-width: 1024px) {
    .content-wrapper {
        flex-direction: column;
        align-items: center;
        padding-left: 20px;
        padding-right: 20px;
    }

    .container {
        width: 100%;
        max-width: 360px;
        margin-top: 15px;
        margin-bottom: 30px;
    }

    .stack-wrapper {
        width: 100%;
    }

    .stack {
        width: 250px;
        height: 250px;
        margin-top: 50px;
    }

    .paper:nth-child(2) {
        transform: translate(100px, -100px);
    }

    footer {
        flex-direction: column;
        text-align: center;
    }

    footer .brand-name,
    footer .made-by {
        margin-bottom: 10px;
    }
    footer {
        flex-direction: column;
        text-align: center;
        padding: 15px 20px;
    }

    footer .brand-name {
        font-size: 16px;
        margin-bottom: 8px;
    }

    footer p {
        font-size: 14px;
        white-space: nowrap;
    }

    footer .made-by {
        font-size: 10px;
        margin-bottom: 8px;
    }

    footer .pinly {
        font-size: 16px;
    }

    footer .pinly .arrow {
        font-size: 12px;
    }
    .blink-container {
    display: none;
    }
}

@media screen and (max-width: 432px) {
    body {
        overflow-x: hidden;
    }
    .content-wrapper {
        padding-left: 0px;
        padding-right: 0px;
        margin-left: 0px;
        margin-right: 0px;
    }

    .container {
        flex: none;
        max-width: 320px;
        background: white;
        padding-top: 10px;
        border-radius: 6px;
        box-shadow: 0 0 8px rgba(0,0,0,0.1);
        margin-left: auto;
        margin-right: auto;
    }
    .rgb-inputs {
        display: flex;
        flex-grow: 1;
    }
    .hex-input {
        width: 50px;
        font-size: 12px;
        margin-left: 2px; /* Small positive margin to prevent overlap */
    }

    .stack {
        width: 180px;
        height: 180px;
        margin-top: 30px;
        margin-left: 0px;
        margin-left: 0px;
    }

    .paper:nth-child(2) {
        transform: translate(70px, -70px);
    }

    h1 {
        font-size: 20px;
    }

    h2 {
        font-size: 15px;
    }

    .form-group {
        margin-bottom: 15px;
    }

    input[type="range"] {
        height: 6px;
    }

    input[type="range"]::-webkit-slider-thumb {
        width: 16px;
        height: 16px;
    }

    input[type="range"]::-moz-range-thumb {
        width: 16px;
        height: 16px;
    }

    #opacity-value,
    input[type="number"],
    .hex-input {
        font-size: 12px;
    }

    .colorblock {
        height: 60px;
    }

    button {
        padding: 8px 8px;
        width: 180px;
        font-size: 14px;
    }

    footer p {
        padding: none;
        font-size: 12px;
    }

    footer .brand-name {
        font-size: 14px;
    }

    footer .made-by {
        font-size: 9px;
    }

    footer .pinly {
        font-size: 14px;
    }

    footer .pinly .arrow {
        font-size: 10px;
    }
    .blink-container {
    display: none;
    }
}
